Bug 502926 - Review Request: sK1 - illustration program similar to corel draw or adobe illustrator
Review Request: sK1 - illustration program similar to corel draw or adobe i...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
: 503616 (view as bug list)
Depends On:
Blocks: RussianFedoraRemix
  Show dependency treegraph
 
Reported: 2009-05-27 15:47 EDT by Itamar Reis Peixoto
Modified: 2009-07-03 17:29 EDT (History)
8 users (show)

See Also:
Fixed In Version: 0.9.1-0.1.pre_rev730.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-03 15:35:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Itamar Reis Peixoto 2009-05-27 15:47:41 EDT
Spec URL: http://ispbrasil.com.br/sk1/sk1.spec
SRPM URL: http://ispbrasil.com.br/sk1/sk1-0.9.1pre_rev730-1.fc11.src.rpm
Description: 

illustration program similar to corel draw or adobe illustrator 

-------------------
koji scratch build
http://koji.fedoraproject.org/koji/taskinfo?taskID=1380257
Comment 1 Peter Lemenkov 2009-05-28 08:59:28 EDT
I'm sure that proper versioning scheme is

Version: 0.9.1
Release: 0.1.pre_rev730%{?dist}
Comment 2 Peter Lemenkov 2009-05-28 09:01:54 EDT
And why not to keep sK1 as Name of the package?
Comment 3 Adam Williamson 2009-06-01 19:00:25 EDT
oh...crap. i didn't realize someone else had done this :(. here's my take:

https://bugzilla.redhat.com/show_bug.cgi?id=503616

i did say on the list i'd do this one...sigh.

peter: I think we try to avoid unnecessary capitalization, right? that's why I used sk1.
Comment 4 Itamar Reis Peixoto 2009-06-01 22:18:18 EDT
*** Bug 503616 has been marked as a duplicate of this bug. ***
Comment 5 Peter Lemenkov 2009-06-22 07:24:29 EDT
I'll review it.
Comment 6 Peter Lemenkov 2009-06-22 08:32:45 EDT
Some notes:

* As I already said - versioning is bad. See above.

* COPYRIGHTS, GNU_GPL_v2, GNU_LGPL_v2 should be added to %doc

Please, update your srpm.
Comment 7 Alexey Torkhov 2009-06-24 06:55:32 EDT
(In reply to comment #3)
> peter: I think we try to avoid unnecessary capitalization, right? that's why I
> used sk1.  

According to name guidelines, package should be called after how upstream call the project, and they call it "sK1".
https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Case_Sensitivity
Comment 9 Peter Lemenkov 2009-06-29 07:40:35 EDT
Notes:

* Wrong category for desktop-file-install. It should be "Graphics" instead of "Development". Easy to fix.

* Since it provides skencil and sketch, I suggest you to add "Obsoletes" for sketch as well. However, I'm not sure about it, since I cannot remember, did sketch was included in Fedora or not.

Anyway, here is my 

REVIEW:

- rpmlint is not silent:

[petro@Workplace Desktop]$ rpmlint sK1-0.9.1-0.1.pre_rev730.fc12.i586.rpm
sK1.i586: E: non-executable-script /usr/lib/python2.6/site-packages/sk1/__init__.py 0644
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
[petro@Workplace Desktop]$

This file contains shebang, and therefore rpmlint thinks of its as a script. Easyfix.

+ The package is named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file matches the actual license.
+ The files, containing the text of the license(s) for the package, are included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible (as usual for python apps and libraries).

+/- The sources used to build the package matches the upstream source, as provided in the spec URL. Unfortunately, your URL is wrong. Please fix it

[petro@Sulaco SOURCES]$ sha256sum sk1-0.9.1pre_rev730.tar.gz*
56d4b58d30b52e97dccb81ce157e41c2b6b5f0c0c383b0f4c55bacb317443c84  sk1-0.9.1pre_rev730.tar.gz
56d4b58d30b52e97dccb81ce157e41c2b6b5f0c0c383b0f4c55bacb317443c84  sk1-0.9.1pre_rev730.tar.gz.1
[petro@Sulaco SOURCES]$

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
+ The package consistently uses macros.
+ The package contains code, or permissible content. 
+ No extra large documentation files.
+ Everything, the package includes as %doc, does not affect the runtime of the application.
+ The package includes a %{name}.desktop file, and that file is properly installed with desktop-file-install in the %install section.
+ The package does not own files or directories already owned by other packages.
+  At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

Please fix mentioned issues.
Comment 11 Peter Lemenkov 2009-06-30 15:11:10 EDT
Ok, all issues were fixed. This package is

APPROVED.
Comment 12 Itamar Reis Peixoto 2009-06-30 15:27:34 EDT
New Package CVS Request
=======================
Package Name: sK1
Short Description: illustration program similar to corel draw or adobe illustrator 
Owners: itamarjp
Branches: F-10 F-11
InitialCC:
Comment 13 Louis Lagendijk 2009-06-30 16:17:28 EDT
Please check if the description is ok. I believe that using registered trade names is not allowed......
Comment 14 Itamar Reis Peixoto 2009-06-30 16:22:42 EDT
New Package CVS Request
=======================
Package Name: sK1
Short Description: open-source illustration program
Owners: itamarjp
Branches: F-10 F-11
InitialCC:
Comment 15 Jason Tibbitts 2009-06-30 22:43:34 EDT
CVS done.

Note that I created the package as you requested, "sK1" with a capital K, but I'm not really sure that's what you intended.
Comment 16 Fedora Update System 2009-06-30 23:19:57 EDT
sK1-0.9.1-0.1.pre_rev730.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sK1-0.9.1-0.1.pre_rev730.fc11
Comment 17 Fedora Update System 2009-06-30 23:20:31 EDT
sK1-0.9.1-0.1.pre_rev730.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sK1-0.9.1-0.1.pre_rev730.fc10
Comment 18 Fedora Update System 2009-07-03 15:35:43 EDT
sK1-0.9.1-0.1.pre_rev730.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-07-03 15:44:28 EDT
sK1-0.9.1-0.1.pre_rev730.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.